{%- assign location = location | default: 'default' -%}

{%- unless location == 'mini-cart' -%}
<div data-module="cart-grid">
{%- endunless -%}

  <div is="cart-grid" inline-template>
    <section
      class="cart-grid cart-grid--{{ location | default: 'default' }}"
      :class="{ 'cart-grid--mobile': isMobile }">
      <div class="cart-grid__inner">

        <div class="cart-grid__content">
          <div class="cart-grid__container container container--m" :class="{ '{% comment %} empty cart styles {% endcomment %}': isEmpty }">
            <div class="cart-grid__container-inner" v-cloak v-if="!isEmpty">

              <form
                action="/cart"
                method="post"
                novalidate
                class="cart-grid__form">
                <transition name="fade-down">
                  <div v-if="cart.errors && cart.errors.length" class="error">
                    <p>There are errors with your cart:</p>
                    <ul>
                      <li v-for="error in cart.errors" v-html="error"></li>
                    </ul>
                  </div>
                </transition>

                <div ref="cart" class="cart-grid__items w1" :class="{ 'is-loading': loading }">
                  <div class="cart__header table__row-header label">
                    <div class="cart__header__item table__cell">Item</div>
                    <div class="cart__header__item table__cell align-l">Price</div>
                    <div class="cart__header__item table__cell align-l">Quantity</div>
                    <div class="cart__header__item table__cell align-c">Total</div>
                  </div>
                  <transition-group name="fade-left" tag="div" class="cart__body w1">
                    {% include 'cart-item' %}
                  </transition-group>
                </div>
                <div class="cart__footer align-c">
                  {%- if location == 'mini-cart' -%}
                    <h3 class="cart__subtotal h2 uppercase f">
                      {{ 'cart.general.subtotal' | t }}<span class="inline-block" v-html="subtotal"></span>
                    </h3>
                  {%- else -%}
                    <h3 class="cart__subtotal h2 uppercase f">
                      {{ 'cart.general.subtotal' | t }} <span class="inline-block" v-html="subtotal"></span>
                    </h3>
                  {%- endif -%}
                </div>

                <div class="cart__footer-bottom align-c">
                  {%- if location == 'mini-cart' -%}
                    <button type="submit" name="checkout" class="button btn--primary btn--full-width">
                      {{ 'cart.general.checkout' | t }}
                    </button>
                    <p class="align-c small mt2">
                      {{ 'cart.general.shipping_at_checkout' | t }}
                    </p>
                  {%- else -%}
                    <button type="submit" name="checkout" class="button btn--primary">
                      {{ 'cart.general.checkout' | t }}
                    </button>
                    <p class="mt1">
                      <a href="/" class="link uppercase p2 pr1">{{ 'cart.general.keep_shopping' | t }}</a>
                    </p>
                  {%- endif -%}
                </div>
              </form>
            </div>

            <div v-cloak v-if="isEmpty">
              <div class="align-c cart__empty">
                <h3>Your cart is currently empty. You Should buy things.</h3>
              </div>
            </div>
          </div>
        </div>
      </div>

      <transition name="fade">
        <div v-show="loading">
          <div class="spinner spinner--lg spinner--abs is-active">
          </div>
        </div>
      </transition>
    </section>
  </div>

{%- unless location == 'mini-cart' -%}
</div>
{%- endunless -%}


{%- assign location = nil -%}
